Bug 467386 (CVE-2008-4579) - CVE-2008-4579 cman/fence: insecure temporary file usage in the apc fence agents
Summary: CVE-2008-4579 cman/fence: insecure temporary file usage in the apc fence agents
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-4579
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Depends On: 469338 519689
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-10-17 09:15 UTC by Tomas Hoger
Modified: 2019-09-29 12:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-17 14:31:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1341 normal SHIPPED_LIVE Low: cman security, bug fix, and enhancement update 2009-09-01 10:43:16 UTC
Red Hat Product Errata RHSA-2011:0266 normal SHIPPED_LIVE Low: fence security, bug fix, and enhancement update 2011-02-16 16:14:08 UTC

Description Tomas Hoger 2008-10-17 09:15:05 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4579 to the following vulnerability:

The (1) fence_apc and (2) fence_apc_snmp programs, as used in (a)
fence 2.02.00-r1 and possibly (b) cman, when running in verbose mode,
allows local users to append to arbitrary files via a symlink attack
on the apclog temporary file.

References:
http://bugs.gentoo.org/show_bug.cgi?id=240576
http://www.openwall.com/lists/oss-security/2008/10/13/3

Comment 1 Tomas Hoger 2008-10-17 09:16:38 UTC
Issue affects fence packages in the Red Hat Cluster Suite for Red Hat Enterprise Linux 4, and cman packages in the Red Hat Enterprise Linux 5.

Affected log file - /tmp/apclog - is no longer created by the current git version of apc fencing agents:
http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=tree;f=fence/agents;hb=HEAD

Comment 2 Fabio Massimo Di Nitto 2008-10-17 11:50:43 UTC
It also affects cman packages in Fedora9 and the whole cluster-2.03 release.
Backport from master will be available in the 2.03 series at the beginning of next week.

The 2.99.xx releases are also affected for fence_apc_snmp for all releases prior to 2.99.07 (not affected).

Fabio

Comment 3 Fedora Update System 2008-10-23 16:36:08 UTC
rgmanager-2.03.08-1.fc9, gfs2-utils-2.03.08-1.fc9, cman-2.03.08-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 errata-xmlrpc 2009-09-02 11:06:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1341 https://rhn.redhat.com/errata/RHSA-2009-1341.html

Comment 7 errata-xmlrpc 2011-02-16 16:14:18 UTC
This issue has been addressed in following products:

  CLuster Suite for RHEL 4

Via RHSA-2011:0266 https://rhn.redhat.com/errata/RHSA-2011-0266.html


Note You need to log in before you can comment on or make changes to this bug.